////////////////////////////////////////////////////////////////////////////////
// Include File: THS8200_RGB_444_DS_to_VGA_common.inc
// Release Date: 11-08-2011
// For use with the TVP7002+THS8200 EVM Kit
// Common THS8200 control register settings for 
// - Input: 30-bit RGB 4:4:4 with discrete syncs
// - Output: 5-wire VGA (RGBHV)
////////////////////////////////////////////////////////////////////////////////

INCLUDE,THS8200_default_settings.inc // default values to be used unless later modified

WR_REG,THS8200,0x01,0x03,0xC1 // chip_ctl - DLL bypassed

// CSC setup - not required if not used
WR_REG,THS8200,0x01,0x19,0x03 // csc_offs3 - CSC bypassed, under-/overflow protection on
WR_REG,THS8200,0x01,0x1C,0x78 // data_cntl - D1CLKO disabled, FSADJ1, 4:2:2 to 4:4:4 conversion bypassed,
                              // 1x up-sampling, BT.656 output disbled, 30-bit 4:4:4 input format

// output sync level amplitude control, not required if DE disabled (bit 7 of register 0x82 set to 0)
WR_REG,THS8200,0x01,0x1D,0x00 // dtg1_y_sync1_lsb (default)
WR_REG,THS8200,0x01,0x1E,0x00 // dtg1_y_sync2_lsb (default)
WR_REG,THS8200,0x01,0x1F,0x00 // dtg1_y_sync3_lsb (default)
WR_REG,THS8200,0x01,0x23,0x00 // dtg1_y_sync_msb
WR_REG,THS8200,0x01,0x24,0x00 // dtg1_cbcr_sync_msb

// timing setup
WR_REG,THS8200,0x01,0x36,0x80 // dtg1_fieldflip_linecnt_msb
WR_REG,THS8200,0x01,0x37,0x01 // dtg1_linecnt_lsb (default)
WR_REG,THS8200,0x01,0x38,0x87 // dtg1_mode - VESA slave mode

// CSM setup
WR_REG,THS8200,0x01,0x4A,0x8C // csm_gy_cntl_mult_msb - G/Y multiply enabled, shift/clip disabled
WR_REG,THS8200,0x01,0x4B,0x44 // csm_mult_bcb_rcr_msb
WR_REG,THS8200,0x01,0x4C,0x00 // csm_mult_gy_lsb (default)
WR_REG,THS8200,0x01,0x4D,0x00 // csm_mult_bcb_lsb (default)
WR_REG,THS8200,0x01,0x4E,0x00 // csm_mult_rcr_lsb (default)
WR_REG,THS8200,0x01,0x4F,0xC0 // csm_rcr_bcb_cntl - R/Cr and B/Cb multiply enabled, shift/clip disabled

// discrete output sync control
WR_REG,THS8200,0x01,0x71,0x00 // dtg2_hlength_msb_hdly_msb (default)
WR_REG,THS8200,0x01,0x72,0x01 // dtg2_hdly_lsb - 1 pixel
WR_REG,THS8200,0x01,0x74,0x00 // dtg2_vlength1_msb_vdly1_msb (default)
WR_REG,THS8200,0x01,0x75,0x01 // dtg2_vdly1_lsb - 1 line
WR_REG,THS8200,0x01,0x76,0x00 // dtg2_vlength2_lsb (default) - must be set to 0x00 for progressive modes
WR_REG,THS8200,0x01,0x77,0x07 // dtg2_vlength2_msb_vdly2_msb (default) - must be set to 0x07 for progressive modes
WR_REG,THS8200,0x01,0x78,0xFF // dtg2_vdly2_lsb (default) - must be set to 0xFF for progressive modes

// discrete input sync control - use to align picture
WR_REG,THS8200,0x01,0x79,0x00 // dtg2_hs_in_dly_msb (default)
WR_REG,THS8200,0x01,0x7A,0x00 // dtg2_hs_in_dly_lsb - adjust horizontal delay
WR_REG,THS8200,0x01,0x7B,0x00 // dtg2_vs_in_dly_msb (default)
WR_REG,THS8200,0x01,0x7C,0x00 // dtg2_vs_in_dly_lsb - adjust vertical delay

////////////////////////////////////////////////////////////////////////////////