////////////////////////////////////////////////////////////////////////////////
// Include File: THS8200_YCbCr_422_DS_to_VGA_common.inc
// Release Date: 11-21-2011
// For use with the TVP7002+THS8200 EVM Kit
// Common THS8200 control register settings for 
// - Input: 20-bit YCbCr 4:2:2 with discrete syncs
// - Output: 5-wire VGA (RGBHV)
////////////////////////////////////////////////////////////////////////////////

INCLUDE,THS8200_default_settings.inc // default values to be used unless later modified

WR_REG,THS8200,0x01,0x04,0x81 // csc_r11
WR_REG,THS8200,0x01,0x05,0xD5 // csc_r12
WR_REG,THS8200,0x01,0x08,0x06 // csc_r31
WR_REG,THS8200,0x01,0x09,0x29 // csc_r32
WR_REG,THS8200,0x01,0x0A,0x04 // csc_g11
WR_REG,THS8200,0x01,0x0C,0x04 // csc_g21
WR_REG,THS8200,0x01,0x0E,0x04 // csc_g31
WR_REG,THS8200,0x01,0x10,0x80 // csc_b11
WR_REG,THS8200,0x01,0x11,0xBB // csc_b12
WR_REG,THS8200,0x01,0x12,0x07 // csc_b21
WR_REG,THS8200,0x01,0x13,0x42 // csc_b22
WR_REG,THS8200,0x01,0x16,0x14 // csc_offs1
WR_REG,THS8200,0x01,0x17,0xAE // csc_offs12
WR_REG,THS8200,0x01,0x18,0x8B // csc_offs23

// CSC setup - map YCbCr to FS RGB
WR_REG,THS8200,0x01,0x19,0x15 // csc_offs3 - CSC not bypassed, under-/overflow protection on
WR_REG,THS8200,0x01,0x1C,0x5B // data_cntl - D1CLKO disabled, FSADJ1, 4:2:2 to 4:4:4 conversion,
                              // 1x up-sampling, BT.656 output disabled, 20-bit 4:2:2 input format

// output sync level amplitude control
WR_REG,THS8200,0x01,0x1D,0x00 // dtg1_y_sync1_lsb (default)
WR_REG,THS8200,0x01,0x1E,0x00 // dtg1_y_sync2_lsb (default)
WR_REG,THS8200,0x01,0x1F,0x00 // dtg1_y_sync3_lsb (default)
WR_REG,THS8200,0x01,0x23,0x2A // dtg1_y_sync_msb
WR_REG,THS8200,0x01,0x24,0x00 // dtg1_cbcr_sync_msb

// timing setup
WR_REG,THS8200,0x01,0x27,0x00 // dtg1_spec_c
WR_REG,THS8200,0x01,0x2A,0x00 // dtg1_spec_e_lsb
WR_REG,THS8200,0x01,0x32,0x00 // dtg1_speg_g_lsb
WR_REG,THS8200,0x01,0x36,0x80 // dtg1_fieldflip_linecnt_msb
WR_REG,THS8200,0x01,0x37,0x01 // dtg1_linecnt_lsb (default)
WR_REG,THS8200,0x01,0x38,0x89 // dtg1_mode - Generic SDTV mode

// CSM setup
WR_REG,THS8200,0x01,0x4A,0xFC // csm_gy_cntl_mult_msb - G/Y multiply, shift, clip enabled
WR_REG,THS8200,0x01,0x4B,0x44 // csm_mult_bcb_rcr_msb
WR_REG,THS8200,0x01,0x4C,0xAC // csm_mult_gy_lsb
WR_REG,THS8200,0x01,0x4D,0xAC // csm_mult_bcb_lsb
WR_REG,THS8200,0x01,0x4E,0xAC // csm_mult_rcr_lsb
WR_REG,THS8200,0x01,0x4F,0xFF // csm_rcr_bcb_cntl - R/Cr and B/Cb multiply, shift, clip enabled

// discrete output sync control
WR_REG,THS8200,0x01,0x71,0x00 // dtg2_hlength_msb_hdly_msb (default)
WR_REG,THS8200,0x01,0x72,0x08 // dtg2_hdly_lsb - 8 pixels
WR_REG,THS8200,0x01,0x74,0x00 // dtg2_vlength1_msb_vdly1_msb (default)
WR_REG,THS8200,0x01,0x75,0x01 // dtg2_vdly1_lsb - 1 line
WR_REG,THS8200,0x01,0x76,0x00 // dtg2_vlength2_lsb (default) - must be set to 0x00 for progressive modes
WR_REG,THS8200,0x01,0x77,0x07 // dtg2_vlength2_msb_vdly2_msb (default) - must be set to 0x07 for progressive modes
WR_REG,THS8200,0x01,0x78,0xFF // dtg2_vdly2_lsb (default) - must be set to 0xFF for progressive modes

// discrete input sync control - use to align picture
WR_REG,THS8200,0x01,0x79,0x00 // dtg2_hs_in_dly_msb (default)
WR_REG,THS8200,0x01,0x7A,0x24 // dtg2_hs_in_dly_lsb - adjust horizontal delay
WR_REG,THS8200,0x01,0x7B,0x00 // dtg2_vs_in_dly_msb (default)
WR_REG,THS8200,0x01,0x7C,0x00 // dtg2_vs_in_dly_lsb - adjust vertical delay

////////////////////////////////////////////////////////////////////////////////