////////////////////////////////////////////////////////////////////////////////
// Include File: THS8200_SDTV_YCbCr_422_ES_to_YPbPr_common.inc
// Release Date: 10-26-2011
// For use with the TVP7002+THS8200 EVM Kit
// Common THS8200 control register settings for 
// - Input: 20-bit YCbCr 4:2:2 with embedded syncs
// - Output: SD/EDTV YPbPr (bi-level sync)
////////////////////////////////////////////////////////////////////////////////

INCLUDE,THS8200_default_settings.inc // default values to be used unless later modified

// CSC setup - not required if not used
WR_REG,THS8200,0x01,0x19,0x03 // csc_offset3 - CSC bypassed, under-/overflow protection on

// output sync level amplitude control
WR_REG,THS8200,0x01,0x1D,0x00 // dtg1_y_sync1_lsb (default)
WR_REG,THS8200,0x01,0x1E,0x49 // dtg1_y_sync2_lsb
WR_REG,THS8200,0x01,0x1F,0x00 // dtg1_y_sync3_lsb (default)
WR_REG,THS8200,0x01,0x23,0x22 // dtg1_y_sync_msb
WR_REG,THS8200,0x01,0x24,0x2A // dtg1_cbcr_sync_msb

// CSM setup - map BT.601 to 0-1023 DAC output
WR_REG,THS8200,0x01,0x4A,0xFC // csm_gy_cntl_mult_msb, G/Y CSM enabled
WR_REG,THS8200,0x01,0x4B,0x44 // csm_mult_bcb_rcr_msb
WR_REG,THS8200,0x01,0x4C,0xAC // csm_mult_gy_lsb
WR_REG,THS8200,0x01,0x4D,0x91 // csm_mult_bcb_lsb
WR_REG,THS8200,0x01,0x4E,0x91 // csm_mult_rcr_lsb
WR_REG,THS8200,0x01,0x4F,0xFF // csm_rcr_bcb_cntl, B/Cb and R/Cr CSM enabled

////////////////////////////////////////////////////////////////////////////////