////////////////////////////////////////////////////////////////////////////////
// Include File: THS8200_HDTV_YCbCr_444_DS_to_YPbPr_common.inc
// Release Date: 10-26-2011
// For use with the TVP7002+THS8200 EVM Kit
// Common THS8200 control register settings for 
// - Input: 30-bit YCbCr 4:4:4 with discrete syncs
// - Output: HDTV YPbPr (tri-level sync)
////////////////////////////////////////////////////////////////////////////////

INCLUDE,THS8200_default_settings.inc // default values to be used unless later modified

// CSC setup - not required if not used
WR_REG,THS8200,0x01,0x19,0x03 // csc_offset3 - CSC bypassed, under-/overflow protection on

// output sync level amplitude control
WR_REG,THS8200,0x01,0x1D,0x00 // dtg1_y_sync1_lsb (default)
WR_REG,THS8200,0x01,0x1E,0x49 // dtg1_y_sync2_lsb
WR_REG,THS8200,0x01,0x1F,0xB6 // dtg1_y_sync3_lsb
WR_REG,THS8200,0x01,0x23,0x23 // dtg1_y_sync_msb (default)
WR_REG,THS8200,0x01,0x24,0x2A // dtg1_cbcr_sync_msb

// CSM setup - map BT.601 to 0-1023 DAC output
WR_REG,THS8200,0x01,0x4A,0xFC // csm_gy_cntl_mult_msb, G/Y CSM enabled
WR_REG,THS8200,0x01,0x4B,0x44 // csm_mult_bcb_rcr_msb
WR_REG,THS8200,0x01,0x4C,0xAC // csm_mult_gy_lsb
WR_REG,THS8200,0x01,0x4D,0x91 // csm_mult_bcb_lsb
WR_REG,THS8200,0x01,0x4E,0x91 // csm_mult_rcr_lsb
WR_REG,THS8200,0x01,0x4F,0xFF // csm_rcr_bcb_cntl, B/Cb and R/Cr CSM enabled

// discrete output sync control
WR_REG,THS8200,0x01,0x70,0x00 // dtg2_hlength_lsb
WR_REG,THS8200,0x01,0x71,0x00 // dtg2_hlength_msb_hdly_msb (default)
WR_REG,THS8200,0x01,0x72,0x01 // dtg2_hdly_lsb
WR_REG,THS8200,0x01,0x73,0x00 // dtg2_vlength1_lsb
WR_REG,THS8200,0x01,0x74,0x07 // dtg2_vlength1_msb_vdly1_msb
WR_REG,THS8200,0x01,0x75,0xFF // dtg2_vdly1_lsb
WR_REG,THS8200,0x01,0x76,0x00 // dtg2_vlength2_lsb
WR_REG,THS8200,0x01,0x77,0x07 // dtg2_vlength2_msb_vdly2_msb (default)
WR_REG,THS8200,0x01,0x78,0xFF // dtg2_vdly2_lsb

// discrete input sync control - use to align picture
WR_REG,THS8200,0x01,0x79,0x00 // dtg2_hs_in_dly_msb (default)
WR_REG,THS8200,0x01,0x7A,0x0F // dtg2_hs_in_dly_lsb - adjust horizontal position
WR_REG,THS8200,0x01,0x7B,0x00 // dtg2_vs_in_dly_msb (default)
WR_REG,THS8200,0x01,0x7C,0x00 // dtg2_vs_in_dly_lsb - adjust vertical position 
WR_REG,THS8200,0x01,0x82,0x1B // dtg2_cntl, FID input, YPbPr mode, discrete syncs, HSIN/VSIN +/+

////////////////////////////////////////////////////////////////////////////////